Subject: Re: Treating Scale (on ficus & others)

From: [email-masked] (MITE)
Date: 30 Oct 1995 08:13:53 -0500

I've found that the easiest solution to treating scale is to take liquid
soap (such as 409, fantastik, etc.) and spray the ficus COMPLETELY down. 
Then make sure to RINSE the soap off.  If you don't rinse, then you will
burn the plant.  Obviously, this is most easily done outside.